For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
    • Migrating From API v1 to API v2
    • Using the OpenAI SDK
    • Installation
  • Endpoints
  • Deprecated
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
On this page
  • Download the Package for your OS
  • Move the Binary into Your $PATH
  • Authenticate
Cohere API

Installation

Was this page helpful?
Edit this page
Previous

Chat

Next
Built with

The Cohere Platform CLI Tool is an alternative to our web interface, which allows you to login to your Cohere account, manage API Keys, and run finetunes.

This CLI tool is POSIX compliant (you can expect arguments and flags to work the same as they do with other popular CLI tools). Don’t forget to use co --help or co [COMMAND] --help if you don’t want to check back to this page!

Download the Package for your OS

Use the following curl command to download the correct package, or use a download link below to get a tar.

curl --proto '=https' --tlsv1.2 -sSf https://raw.githubusercontent.com/cohere-ai/co/main/install.sh | sh
\n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n
PlatformPackage
MacOS (x86)\n \n co_macos_x86_64.tar.gz\n \n
MacOS (arm64)\n \n co_macos_arm64.tar.gz\n \n
Linux (x86)\n \n co_linux_x86_64.tar.gz\n \n
Linux (arm64)\n \n co_linux_arm64.tar.gz\n \n
Linux (arm32)\n \n co_linux_arm32.tar.gz\n \n

Move the Binary into Your $PATH

mkdir -p /usr/local/bin
mv ./co /usr/local/bin/

Authenticate

co auth login --email=EMAIL